Bug 1018467 - Network configuration screen configure-button needs to be selected twice
Network configuration screen configure-button needs to be selected twice
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1019775
  Show dependency treegraph
 
Reported: 2013-10-12 05:50 EDT by A.J. Werkman
Modified: 2013-11-23 23:01 EST (History)
9 users (show)

See Also:
Fixed In Version: pykickstart-1.99.46-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1019775 (view as bug list)
Environment:
Last Closed: 2013-11-23 23:01:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda.log (11.98 KB, text/plain)
2013-10-14 12:52 EDT, A.J. Werkman
no flags Details

  None (edit)
Description A.J. Werkman 2013-10-12 05:50:04 EDT
Description of problem:
When in the network configuration screen in order to configure an interface, you need to click the configure-button twice to open the configuration window.

Version-Release number of selected component (if applicable):
20-Beta-TC2

How reproducible:
Everytime

Steps to Reproduce:
1. Start a Fedora installation
2. From the central pane, select the network configuration window
3. Click the configuration-button. Configuration window is not opening
4. Click the configuration-button once again. Configuration windows is opening

Actual results:
Need to click the button twice

Expected results:
Clicking on the button should open the windows immediatly.

Additional info:
Comment 1 Radek Vykydal 2013-10-14 10:57:39 EDT
Here is updates image for 20-Beta-TC2 with a patch that should fix the issue:
http://rvykydal.fedorapeople.org/updates.configure.img
Comment 2 A.J. Werkman 2013-10-14 12:52:30 EDT
Created attachment 812118 [details]
Anaconda.log

Patch works, but with this patch static ip adresses are not accepted, as Anaconda did without the patch.

I test this on a network segment, without DHCP. I add the IPv4 and IPv6 addresses in the network configuration form.

Before the patch Addresssing was not accepted, only after I toggled the NIC on/of switch. With this patch switching the NIC off and on again has no effect. Status stays 'Connecting...' In the log I see that anaconda want to switch back to DHCP. But of course this does not give an address as DHCP is not active.
Comment 3 Radek Vykydal 2013-10-16 07:21:42 EDT
Thank you for testing and the catch, fixed version of the patch (where swithching NIC on and off should work again) is in this updates image:

http://rvykydal.fedorapeople.org/updates.configure2.img
Comment 4 A.J. Werkman 2013-10-16 14:47:32 EDT
updates.configure2.img works. But the NIC stays in 'Connecting...' state after configuration. I still have to toggle the on/off switch to get it in 'Conntected'-state.

Should I file a seperate bug or is this related to this bug?
Comment 5 Radek Vykydal 2013-10-17 04:33:45 EDT
(In reply to A.J. Werkman from comment #4)
> updates.configure2.img works. But the NIC stays in 'Connecting...' state
> after configuration. I still have to toggle the on/off switch to get it in
> 'Conntected'-state.
> 
> Should I file a seperate bug or is this related to this bug?

I think it is the issue of bug #1018471 filed by you.
Comment 6 Fedora Update System 2013-10-21 20:32:24 EDT
anaconda-20.25.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.25.2-1.fc20
Comment 7 Fedora Update System 2013-10-22 14:52:53 EDT
Package anaconda-20.25.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-20.25.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19692/anaconda-20.25.2-1.fc20
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-11-15 21:13:32 EST
anaconda-20.25.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.25.8-1.fc20
Comment 9 Fedora Update System 2013-11-23 23:01:18 EST
pykickstart-1.99.46-1.fc20, python-blivet-0.23.5-1.fc20, anaconda-20.25.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.